%define name ktemperature
%define version 1.9
%define release %mkrel 11
%define __libtoolize /bin/true
%define __cputoolize /bin/true


Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   KTemperature is monitoring the system temperature
License:   GPL
URL:       http://kde-apps.org/content/show.php?content=24660
Epoch:     2
Group:     Monitoring
Source:    %{name}-%version.tar.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
BuildRequires: desktop-file-utils
Requires: acpi acpid

%description
KTemperature is an application to monitor the system temperature. 
I was motivated to develop this utility because I could not find 
a simple system tray resident application for monitoring 
the system temperature using the ACPI interface.

The application obtains the system temperature from the file 
/proc/acpi/thermal_zone/THRM/temperature . 
In the current version the path is hardcoded.

%prep
%setup -q

%build
%configure2_5x --disable-rpath \
	    --with-xinerama

%make

%install
rm -rf %buildroot
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir,%_datadir/applications/kde}
%{makeinstall_std}

desktop-file-install --vendor='' --delete-original \
	--dir=%buildroot%_datadir/applications/kde \
	--add-category='Qt;KDE;Monitor;System' \
	%buildroot%_datadir/applnk/Utilities/*.desktop
#menus
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png

%find_lang %name --with-html

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%doc README COPYING AUTHORS
%attr(0755,root,root) %{_bindir}/%{name}
%_datadir/apps/%{name}
%_iconsdir/*/%{name}.png
%_datadir/applications/kde/%{name}.desktop
%_iconsdir/hicolor/*/apps/%{name}.png
%_iconsdir/%{name}.png
%doc %_datadir/doc/HTML/en/ktemperature

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor


%changelog
* Sun Sep 02 2007 Funda Wang <fundawang@mandriva.org> 1.9-11mdv2008.0
+ Revision: 78074
- Add epoch to force update
- add back docs
- Move menu entry to standard location


* Mon Aug 28 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-28 09:22:35 (58256)
- ktemperature-1.9-10mdv2007.0

* Sun Aug 27 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-27 13:04:34 (58209)
- Add BuildRequires

* Fri Aug 25 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-25 15:43:22 (58097)
- Increase release

* Wed Jun 21 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-21 22:09:59 (37791)
- Increase release
- Use Macro (for icons)

* Wed Jun 21 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-21 19:43:11 (37778)
- import ktemperature-1.9-7mdk

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.9-7mdk
- Remove redundant BuildRequires

* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.9-6mdk
- Fix BuildRequires

* Mon May 08 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9-5
- Rebuild to generate category

* Wed Mar 01 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.9-4mdk
- Reupload for missing src.rpm

* Sun Dec 11 2005 Sebastien Savarin <plouf@mandriva.org> 1.9-3mdk
- Fix silly error in version

* Sun Dec 11 2005 Sebastien Savarin <plouf@mandriva.org> 1-9-2mdk
- Fix build on x86_64 thanks to Anssi anssi@zarb.org

* Thu Nov 03 2005 Sebastien Savarin <plouf@mandriva.org> 1-9-1mdk
- 1.9
- Fix requires

* Sun Jun 19 2005 Laurent MONTEL <lmontel@mandriva.com> 1.7-1
- 1.7

* Fri May 27 2005 Sebastien Savarin <plouf@mandriva.org> 1-1mdk
- First Mandriva Linux release

